Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jclark.xsl.expr
Class VariantBase

    java.lang.Object
      com.jclark.xsl.expr.VariantBase

All Implemented Interfaces:
  Variant

Direct Known Subclasses:
  BooleanVariant, NumberVariant, ResultFragmentVariantBase, StringVariant

public abstract class VariantBase
extends java.lang.Object
implements Variant

Constructor Summary
`VariantBase()`

Method Summary
`NodeIterator` | `convertToNodeSet()`
`double` | `convertToNumber()`
`boolean` | `convertToPredicate(ExprContext context)`
`static Variant` | `create(java.lang.Object obj)`
`Node` | `getBaseNode()`
`boolean` | `isBoolean()`
`boolean` | `isNodeSet()`
`boolean` | `isNumber()`
`boolean` | `isString()`
`Variant` | `makePermanent()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.jclark.xsl.expr.Variant
`convertToBoolean, convertToObject, convertToString`

Constructor Detail

### VariantBase

    public VariantBase()

Method Detail

### makePermanent

    public Variant makePermanent()
                          throws XSLException

  Specified by:
    `makePermanent` in interface `Variant`
  Throws:
    `XSLException`

### convertToNodeSet

    public NodeIterator convertToNodeSet()
                                  throws XSLException

  Specified by:
    `convertToNodeSet` in interface `Variant`
  Throws:
    `XSLException`

### convertToNumber

    public double convertToNumber()
                           throws XSLException

  Specified by:
    `convertToNumber` in interface `Variant`
  Throws:
    `XSLException`

### convertToPredicate

    public boolean convertToPredicate(ExprContext context)
                               throws XSLException

  Specified by:
    `convertToPredicate` in interface `Variant`
  Throws:
    `XSLException`

### isBoolean

    public boolean isBoolean()

  Specified by:
    `isBoolean` in interface `Variant`

### isNumber

    public boolean isNumber()

  Specified by:
    `isNumber` in interface `Variant`

### isString

    public boolean isString()

  Specified by:
    `isString` in interface `Variant`

### isNodeSet

    public boolean isNodeSet()

  Specified by:
    `isNodeSet` in interface `Variant`

### create

    public static Variant create(java.lang.Object obj)

### getBaseNode

    public Node getBaseNode()

  Specified by:
    `getBaseNode` in interface `Variant`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD